This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 502519 - kpackagekit update notification buttons cut off when using German locale
kpackagekit update notification buttons cut off when using German locale
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kpackagekit (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-25 12:46 EDT by Julian Weißgerber
Modified: 2009-05-29 21:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-29 21:15:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 192988 None None None Never

  None (edit)
Description Julian Weißgerber 2009-05-25 12:46:21 EDT
Description of problem:
The notification that is shown by kpackagekit-smart-icon when new updates are available has cut off UI elements when using a German system locale.

A screenshot describing the problem:
http://s38.ath.cx/pub/kpackagekit_cutoff.png

Version-Release number of selected component (if applicable):
kpackagekit-0.4.0-7.fc11.i586

How reproducible:
Set LANG to de_DE.UTF-8, re-login to KDE and run "kpackagekit-smart-icon --update" when updates are available

Steps to Reproduce:
(0. Maybe install group "German Support")
1. Set LANG to de_DE.UTF-8, 
2. re-login to KDE
3. and run "kpackagekit-smart-icon --update" when updates are available
  
Actual results:
The buttons get cut off.

Expected results:
All elements are visible.

Additional info:
I assume the button labeled "Diese Nachfrage nicht mehr anzeigen" (Do not ask again) is taking up too much space. I checked the Fedora package's sources and in the source dir in po/de/kpackagekit.po on line 2343 and there it is translated as "Nicht erneut benachrichtigen", which is somewhat shorter. Other translations from this file apparently don't get used by kpackagekit either.
Comment 1 Steven M. Parrish 2009-05-29 21:15:37 EDT
This is a known issue with Plasma and has been reported upstream.  Please see https://bugs.kde.org/show_bug.cgi?id=192988 and add any comments you feel are relative.

Note You need to log in before you can comment on or make changes to this bug.